"{ Package: 'exept:regression' }"

"{ NameSpace: RegressionTests }"

ReadStreamTest subclass:#WriteStreamTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Tests-Regression'
!


!WriteStreamTest methodsFor:'setup'!

setUp
    self streamClass:WriteStream
! !

!WriteStreamTest methodsFor:'tests'!

testBasic
    |stream|

    stream := self streamClass on:''.
    self assert:(stream isWritable).
    self assert:(stream isPositionable).
    self assert:(stream isReadable not).
    self assert:(stream size == 0).
    self assert:(stream isEmpty)
! !

!WriteStreamTest class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
